﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using PRManagement.Infrastructure.Data;

#nullable disable

namespace PRManagement.Infrastructure.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    [Migration("20250212102933_Initial")]
    partial class Initial
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "8.0.6")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRole", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("text");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasDatabaseName("RoleNameIndex");

                    b.ToTable("AspNetRoles", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("ClaimType")
                        .HasColumnType("text");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("text");

                    b.Property<string>("RoleId")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("ClaimType")
                        .HasColumnType("text");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("text");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("text");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("text");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("text");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.Property<string>("UserId")
                        .HasColumnType("text");

                    b.Property<string>("RoleId")
                        .HasColumnType("text");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.Property<string>("UserId")
                        .HasColumnType("text");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasColumnType("text");

                    b.Property<string>("Value")
                        .HasColumnType("text");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens", (string)null);
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Address", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("DistrictId")
                        .HasColumnType("character varying(10)");

                    b.Property<string[]>("Email")
                        .IsRequired()
                        .HasColumnType("text[]");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string[]>("PhoneNumbers")
                        .IsRequired()
                        .HasColumnType("text[]");

                    b.Property<string>("PostCode")
                        .IsRequired()
                        .HasMaxLength(5)
                        .HasColumnType("character varying(5)");

                    b.Property<string>("ProvinceId")
                        .HasColumnType("character varying(10)");

                    b.Property<string>("SubDistrictId")
                        .HasColumnType("character varying(10)");

                    b.Property<string>("Text")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("DistrictId");

                    b.HasIndex("ProvinceId");

                    b.HasIndex("SubDistrictId");

                    b.ToTable("Address");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.ApplicationUser", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("text");

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("integer");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("text");

                    b.Property<string>("Email")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("boolean");

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("NickName")
                        .HasColumnType("text");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.Property<string>("PasswordHash")
                        .HasColumnType("text");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("text");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("boolean");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("text");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("boolean");

                    b.Property<string>("UserName")
                        .HasMaxLength(256)
                        .HasColumnType("character varying(256)");

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasDatabaseName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasDatabaseName("UserNameIndex");

                    b.ToTable("AspNetUsers", (string)null);
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.BookMark", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int[]>("ActiveEmail")
                        .HasColumnType("integer[]");

                    b.Property<Guid>("AddressId")
                        .HasColumnType("uuid");

                    b.Property<int>("BookMarkType")
                        .HasColumnType("integer");

                    b.Property<Guid>("BookmarkGroupId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.HasKey("Id");

                    b.HasIndex("AddressId");

                    b.HasIndex("BookmarkGroupId");

                    b.ToTable("BookMarks");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.BookmarkGroup", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<string>("Tags")
                        .IsRequired()
                        .HasColumnType("jsonb");

                    b.HasKey("Id");

                    b.ToTable("BookmarkGroups");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Client", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("AddressId")
                        .HasColumnType("uuid");

                    b.Property<string[]>("ClientTypes")
                        .IsRequired()
                        .HasColumnType("text[]");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<double>("PercentageOfFullField")
                        .HasColumnType("double precision");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.HasKey("Id");

                    b.HasIndex("AddressId");

                    b.ToTable("Clients");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Company", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("AddressId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(75)
                        .HasColumnType("character varying(75)");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.HasKey("Id");

                    b.HasIndex("AddressId")
                        .IsUnique();

                    b.ToTable("Company");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Contact", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("AddressId")
                        .HasColumnType("uuid");

                    b.Property<int?>("AddressType")
                        .HasColumnType("integer");

                    b.Property<int>("ContactType")
                        .HasColumnType("integer");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasMaxLength(75)
                        .HasColumnType("character varying(75)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<string>("LineId")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<Guid?>("MediaSectionId")
                        .HasColumnType("uuid");

                    b.Property<string>("NickName")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<double>("PercentageOfFullField")
                        .HasColumnType("double precision");

                    b.Property<string>("Position")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<string>("Remark")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.HasKey("Id");

                    b.HasIndex("AddressId")
                        .IsUnique();

                    b.HasIndex("MediaSectionId");

                    b.ToTable("Contacts");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.ContactClient", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("ClientId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("ContactId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("ClientId");

                    b.HasIndex("ContactId");

                    b.ToTable("ContactClients");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.ContactMediaSection", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("ContactId")
                        .HasColumnType("uuid");

                    b.Property<int>("ContactStatus")
                        .HasColumnType("integer");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid>("MediaSectionId")
                        .HasColumnType("uuid");

                    b.Property<string>("Remark")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.HasKey("Id");

                    b.HasIndex("ContactId");

                    b.HasIndex("MediaSectionId");

                    b.ToTable("ContactMediaSections");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.District", b =>
                {
                    b.Property<string>("Id")
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.Property<string>("NameEN")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<string>("NameTH")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<string>("ProvinceId")
                        .IsRequired()
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.HasKey("Id");

                    b.HasIndex("ProvinceId");

                    b.ToTable("Districts");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.LocalFile", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("ContentType")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("FileName")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Path")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<string>("Size")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("LocalFiles");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Media", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("AddressId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(75)
                        .HasColumnType("character varying(75)");

                    b.Property<double>("PercentageOfFullField")
                        .HasColumnType("double precision");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.HasKey("Id");

                    b.HasIndex("AddressId")
                        .IsUnique();

                    b.HasIndex("Name", "Deleted", "IsDeleted")
                        .IsUnique();

                    b.ToTable("Medias");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.MediaSection", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("AddressId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid>("MediaId")
                        .HasColumnType("uuid");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<Guid>("SectionId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("SubSectionId")
                        .HasColumnType("uuid");

                    b.Property<long>("TierPotential")
                        .HasColumnType("bigint");

                    b.Property<int>("TypeOfMedia")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("AddressId")
                        .IsUnique();

                    b.HasIndex("MediaId");

                    b.HasIndex("SectionId");

                    b.HasIndex("SubSectionId");

                    b.ToTable("MediaSections");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.MonitorTaskWorker", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<bool>("IsUrgent")
                        .HasColumnType("boolean");

                    b.Property<string>("KeywordQuery")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(125)
                        .HasColumnType("character varying(125)");

                    b.Property<int>("TaskWorkerStatus")
                        .HasColumnType("integer");

                    b.Property<string>("Topic")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.HasKey("Id");

                    b.HasIndex("PRActivityId");

                    b.ToTable("MonitorTaskWorkers");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.New", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Link")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int>("Mapping")
                        .HasColumnType("integer");

                    b.Property<Guid?>("MediaSectionId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("MonitorTaskWorkerId")
                        .HasColumnType("uuid");

                    b.Property<string>("Owner")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<Guid?>("PlatformId")
                        .HasColumnType("uuid");

                    b.Property<int?>("PlatformType")
                        .HasColumnType("integer");

                    b.Property<DateTimeOffset?>("PublicationDate")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.HasKey("Id");

                    b.HasIndex("MediaSectionId");

                    b.HasIndex("MonitorTaskWorkerId");

                    b.HasIndex("PlatformId");

                    b.ToTable("News");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivity", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("ClientId")
                        .HasColumnType("uuid");

                    b.Property<int>("ContentPRActivityType")
                        .HasColumnType("integer");

                    b.Property<int>("ContractType")
                        .HasColumnType("integer");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int>("DurationType")
                        .HasColumnType("integer");

                    b.Property<DateTimeOffset>("Ended")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("OwnerId")
                        .HasColumnType("text");

                    b.Property<int>("PrStatus")
                        .HasColumnType("integer");

                    b.Property<DateTimeOffset>("Released")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<Guid>("SectionId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Started")
                        .HasColumnType("timestamp with time zone");

                    b.Property<Guid>("SubSectionId")
                        .HasColumnType("uuid");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.HasKey("Id");

                    b.HasIndex("ClientId");

                    b.HasIndex("OwnerId");

                    b.HasIndex("SectionId");

                    b.HasIndex("SubSectionId");

                    b.ToTable("PRActivities");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityBriefing", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("PRActivityId")
                        .IsUnique();

                    b.ToTable("PRActivityBriefings");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityEmail", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("SentFinished")
                        .HasColumnType("timestamp with time zone");

                    b.Property<DateTimeOffset>("StartSent")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Subject")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.HasKey("Id");

                    b.HasIndex("PRActivityId")
                        .IsUnique();

                    b.ToTable("PRActivityEmails");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityEvent", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("EventCode")
                        .IsRequired()
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.Property<DateTimeOffset>("EventDate")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<int>("NumberOfJoiner")
                        .HasColumnType("integer");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("PRActivityId")
                        .IsUnique();

                    b.ToTable("PRActivityEvent");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityLocalFile", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid?>("LocalFileId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("LocalFileId");

                    b.HasIndex("PRActivityId");

                    b.ToTable("PRActivityLocalFiles");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityLocation", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("DistrictId")
                        .HasColumnType("character varying(10)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.Property<string>("PostCode")
                        .IsRequired()
                        .HasMaxLength(5)
                        .HasColumnType("character varying(5)");

                    b.Property<string>("ProvinceId")
                        .HasColumnType("character varying(10)");

                    b.Property<string>("Remark")
                        .IsRequired()
                        .HasMaxLength(1024)
                        .HasColumnType("character varying(1024)");

                    b.Property<string>("SubDistrictId")
                        .HasColumnType("character varying(10)");

                    b.Property<string>("Text")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<string>("UrlMap")
                        .IsRequired()
                        .HasMaxLength(1024)
                        .HasColumnType("character varying(1024)");

                    b.HasKey("Id");

                    b.HasIndex("DistrictId");

                    b.HasIndex("PRActivityId")
                        .IsUnique();

                    b.HasIndex("ProvinceId");

                    b.HasIndex("SubDistrictId");

                    b.ToTable("PRActivityLocations");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityReceiver", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("ContactId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("OpenLink")
                        .HasColumnType("timestamp with time zone");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset?>("Read")
                        .HasColumnType("timestamp with time zone");

                    b.Property<DateTimeOffset?>("Sended")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int>("Status")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("ContactId");

                    b.HasIndex("PRActivityId");

                    b.ToTable("PRActivityReceiver");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityTask", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<DateTimeOffset>("DueDate")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<int>("TaskWorkerStatus")
                        .HasColumnType("integer");

                    b.Property<int>("WorkTask")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("PRActivityId");

                    b.ToTable("PRActivityTasks");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityTaskComment", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<Guid>("PRActivityTaskId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("CreatedBy");

                    b.HasIndex("PRActivityTaskId");

                    b.ToTable("PRActivityTaskComments");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityTaskResponsiblePerson", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("OwnerId")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<Guid>("PRActivityTaskId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("OwnerId");

                    b.HasIndex("PRActivityTaskId");

                    b.ToTable("PRActivityTaskResponsiblePersons");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Platform", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<decimal>("ADValue")
                        .HasColumnType("numeric");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Link")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<Guid>("MediaSectionId")
                        .HasColumnType("uuid");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<decimal>("PRValue")
                        .HasColumnType("numeric");

                    b.Property<int>("PlatFormType")
                        .HasColumnType("integer");

                    b.Property<long>("Potential")
                        .HasColumnType("bigint");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.Property<long>("TierOder")
                        .HasColumnType("bigint");

                    b.Property<long>("TierPotential")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.HasIndex("MediaSectionId");

                    b.ToTable("Platforms");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Province", b =>
                {
                    b.Property<string>("Id")
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.Property<string>("NameEN")
                        .IsRequired()
                        .HasMaxLength(45)
                        .HasColumnType("character varying(45)");

                    b.Property<string>("NameTH")
                        .IsRequired()
                        .HasMaxLength(45)
                        .HasColumnType("character varying(45)");

                    b.HasKey("Id");

                    b.ToTable("Provinces");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.RegisterForm", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Detail")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("character varying(255)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<string>("RegisterFields")
                        .IsRequired()
                        .HasColumnType("jsonb");

                    b.Property<string>("RemarkDeleted")
                        .IsRequired()
                        .HasMaxLength(155)
                        .HasColumnType("character varying(155)");

                    b.HasKey("Id");

                    b.ToTable("RegisterForms");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Section", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("FormulaForCalculations")
                        .IsRequired()
                        .HasColumnType("jsonb");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.HasKey("Id");

                    b.ToTable("Sections");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.SubDistrict", b =>
                {
                    b.Property<string>("Id")
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.Property<string>("DistrictId")
                        .IsRequired()
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.Property<string>("NameEN")
                        .IsRequired()
                        .HasMaxLength(55)
                        .HasColumnType("character varying(55)");

                    b.Property<string>("NameTH")
                        .IsRequired()
                        .HasMaxLength(75)
                        .HasColumnType("character varying(75)");

                    b.Property<string>("PostCode")
                        .IsRequired()
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.HasKey("Id");

                    b.HasIndex("DistrictId");

                    b.ToTable("SubDistricts");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.SubSection", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset?>("Deleted")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("boolean");

                    b.Property<DateTimeOffset>("LastModified")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("LastModifiedBy")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<Guid>("SectionId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("SectionId");

                    b.ToTable("SubSections");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.WorkProgress", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("PRActivityId")
                        .HasColumnType("uuid");

                    b.Property<int>("TaskWorkerStatus")
                        .HasColumnType("integer");

                    b.Property<int>("WorkTask")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("PRActivityId");

                    b.ToTable("WorkProgress");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.ApplicationUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.ApplicationUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PRManagement.Domain.Entities.ApplicationUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.ApplicationUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Address", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.District", "District")
                        .WithMany("Address")
                        .HasForeignKey("DistrictId");

                    b.HasOne("PRManagement.Domain.Entities.Province", "Province")
                        .WithMany("Address")
                        .HasForeignKey("ProvinceId");

                    b.HasOne("PRManagement.Domain.Entities.SubDistrict", "SubDistrict")
                        .WithMany("Address")
                        .HasForeignKey("SubDistrictId");

                    b.Navigation("District");

                    b.Navigation("Province");

                    b.Navigation("SubDistrict");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.BookMark", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Address", "Address")
                        .WithMany("BookMarks")
                        .HasForeignKey("AddressId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.BookmarkGroup", "BookmarkGroup")
                        .WithMany("BookMarks")
                        .HasForeignKey("BookmarkGroupId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("Address");

                    b.Navigation("BookmarkGroup");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Client", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Address", "Address")
                        .WithMany()
                        .HasForeignKey("AddressId");

                    b.Navigation("Address");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Company", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Address", "Address")
                        .WithOne("Company")
                        .HasForeignKey("PRManagement.Domain.Entities.Company", "AddressId");

                    b.Navigation("Address");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Contact", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Address", "Address")
                        .WithOne("Contact")
                        .HasForeignKey("PRManagement.Domain.Entities.Contact", "AddressId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.MediaSection", null)
                        .WithMany("Contacts")
                        .HasForeignKey("MediaSectionId");

                    b.Navigation("Address");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.ContactClient", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Client", "Client")
                        .WithMany("ContactClients")
                        .HasForeignKey("ClientId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PRManagement.Domain.Entities.Contact", "Contact")
                        .WithMany("ContactClients")
                        .HasForeignKey("ContactId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Client");

                    b.Navigation("Contact");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.ContactMediaSection", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Contact", "Contact")
                        .WithMany("ContactMediaSections")
                        .HasForeignKey("ContactId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PRManagement.Domain.Entities.MediaSection", "MediaSection")
                        .WithMany("ContactMediaSections")
                        .HasForeignKey("MediaSectionId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Contact");

                    b.Navigation("MediaSection");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.District", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Province", "Province")
                        .WithMany("Districts")
                        .HasForeignKey("ProvinceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Province");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Media", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Address", "Address")
                        .WithOne("Media")
                        .HasForeignKey("PRManagement.Domain.Entities.Media", "AddressId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("Address");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.MediaSection", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Address", "Address")
                        .WithOne("MediaSection")
                        .HasForeignKey("PRManagement.Domain.Entities.MediaSection", "AddressId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.Media", "Media")
                        .WithMany("MediaSections")
                        .HasForeignKey("MediaId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PRManagement.Domain.Entities.Section", "Section")
                        .WithMany("MediaSections")
                        .HasForeignKey("SectionId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PRManagement.Domain.Entities.SubSection", "SubSection")
                        .WithMany("MediaSections")
                        .HasForeignKey("SubSectionId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Address");

                    b.Navigation("Media");

                    b.Navigation("Section");

                    b.Navigation("SubSection");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.MonitorTaskWorker", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithMany("MonitorTaskWorkers")
                        .HasForeignKey("PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("PRActivity");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.New", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.MediaSection", null)
                        .WithMany("News")
                        .HasForeignKey("MediaSectionId");

                    b.HasOne("PRManagement.Domain.Entities.MonitorTaskWorker", "MonitorTaskWorker")
                        .WithMany("News")
                        .HasForeignKey("MonitorTaskWorkerId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.Platform", "Platform")
                        .WithMany("News")
                        .HasForeignKey("PlatformId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("MonitorTaskWorker");

                    b.Navigation("Platform");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivity", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Client", "Client")
                        .WithMany("PRActivities")
                        .HasForeignKey("ClientId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.ApplicationUser", "Owner")
                        .WithMany("PRActivities")
                        .HasForeignKey("OwnerId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.Section", "Section")
                        .WithMany("PRActivities")
                        .HasForeignKey("SectionId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PRManagement.Domain.Entities.SubSection", "SubSection")
                        .WithMany("PRActivities")
                        .HasForeignKey("SubSectionId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Client");

                    b.Navigation("Owner");

                    b.Navigation("Section");

                    b.Navigation("SubSection");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityBriefing", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithOne("PRActivityBriefing")
                        .HasForeignKey("PRManagement.Domain.Entities.PRActivityBriefing", "PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("PRActivity");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityEmail", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithOne("PRActivityEmail")
                        .HasForeignKey("PRManagement.Domain.Entities.PRActivityEmail", "PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("PRActivity");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityEvent", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithOne("PRActivityEvent")
                        .HasForeignKey("PRManagement.Domain.Entities.PRActivityEvent", "PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("PRActivity");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityLocalFile", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.LocalFile", "LocalFile")
                        .WithMany("PRActivityLocalFiles")
                        .HasForeignKey("LocalFileId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithMany("PRActivityLocalFiles")
                        .HasForeignKey("PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("LocalFile");

                    b.Navigation("PRActivity");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityLocation", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.District", "District")
                        .WithMany("PRActivityLocations")
                        .HasForeignKey("DistrictId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithOne("PRActivityLocation")
                        .HasForeignKey("PRManagement.Domain.Entities.PRActivityLocation", "PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.Province", "Province")
                        .WithMany("PRActivityLocations")
                        .HasForeignKey("ProvinceId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.SubDistrict", "SubDistrict")
                        .WithMany("PRActivityLocations")
                        .HasForeignKey("SubDistrictId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.Navigation("District");

                    b.Navigation("PRActivity");

                    b.Navigation("Province");

                    b.Navigation("SubDistrict");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityReceiver", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Contact", "Contact")
                        .WithMany("PRActivityReceivers")
                        .HasForeignKey("ContactId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithMany("PRActivityReceivers")
                        .HasForeignKey("PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Contact");

                    b.Navigation("PRActivity");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityTask", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithMany("PRActivityTasks")
                        .HasForeignKey("PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("PRActivity");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityTaskComment", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.ApplicationUser", "Owner")
                        .WithMany("PRActivityTaskComments")
                        .HasForeignKey("CreatedBy")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("PRManagement.Domain.Entities.PRActivityTask", "PRActivityTask")
                        .WithMany("PRActivityTaskComments")
                        .HasForeignKey("PRActivityTaskId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Owner");

                    b.Navigation("PRActivityTask");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityTaskResponsiblePerson", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.ApplicationUser", "Owner")
                        .WithMany("PRActivityTaskResponsiblePersons")
                        .HasForeignKey("OwnerId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PRManagement.Domain.Entities.PRActivityTask", "PRActivityTask")
                        .WithMany("PRActivityTaskResponsiblePersons")
                        .HasForeignKey("PRActivityTaskId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Owner");

                    b.Navigation("PRActivityTask");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Platform", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.MediaSection", "MediaSection")
                        .WithMany("Platforms")
                        .HasForeignKey("MediaSectionId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("MediaSection");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.SubDistrict", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.District", "District")
                        .WithMany("SubDistricts")
                        .HasForeignKey("DistrictId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("District");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.SubSection", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.Section", "Section")
                        .WithMany("SubSections")
                        .HasForeignKey("SectionId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Section");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.WorkProgress", b =>
                {
                    b.HasOne("PRManagement.Domain.Entities.PRActivity", "PRActivity")
                        .WithMany("WorkProgress")
                        .HasForeignKey("PRActivityId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("PRActivity");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Address", b =>
                {
                    b.Navigation("BookMarks");

                    b.Navigation("Company");

                    b.Navigation("Contact");

                    b.Navigation("Media");

                    b.Navigation("MediaSection");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.ApplicationUser", b =>
                {
                    b.Navigation("PRActivities");

                    b.Navigation("PRActivityTaskComments");

                    b.Navigation("PRActivityTaskResponsiblePersons");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.BookmarkGroup", b =>
                {
                    b.Navigation("BookMarks");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Client", b =>
                {
                    b.Navigation("ContactClients");

                    b.Navigation("PRActivities");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Contact", b =>
                {
                    b.Navigation("ContactClients");

                    b.Navigation("ContactMediaSections");

                    b.Navigation("PRActivityReceivers");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.District", b =>
                {
                    b.Navigation("Address");

                    b.Navigation("PRActivityLocations");

                    b.Navigation("SubDistricts");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.LocalFile", b =>
                {
                    b.Navigation("PRActivityLocalFiles");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Media", b =>
                {
                    b.Navigation("MediaSections");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.MediaSection", b =>
                {
                    b.Navigation("ContactMediaSections");

                    b.Navigation("Contacts");

                    b.Navigation("News");

                    b.Navigation("Platforms");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.MonitorTaskWorker", b =>
                {
                    b.Navigation("News");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivity", b =>
                {
                    b.Navigation("MonitorTaskWorkers");

                    b.Navigation("PRActivityBriefing");

                    b.Navigation("PRActivityEmail");

                    b.Navigation("PRActivityEvent");

                    b.Navigation("PRActivityLocalFiles");

                    b.Navigation("PRActivityLocation");

                    b.Navigation("PRActivityReceivers");

                    b.Navigation("PRActivityTasks");

                    b.Navigation("WorkProgress");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.PRActivityTask", b =>
                {
                    b.Navigation("PRActivityTaskComments");

                    b.Navigation("PRActivityTaskResponsiblePersons");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Platform", b =>
                {
                    b.Navigation("News");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Province", b =>
                {
                    b.Navigation("Address");

                    b.Navigation("Districts");

                    b.Navigation("PRActivityLocations");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.Section", b =>
                {
                    b.Navigation("MediaSections");

                    b.Navigation("PRActivities");

                    b.Navigation("SubSections");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.SubDistrict", b =>
                {
                    b.Navigation("Address");

                    b.Navigation("PRActivityLocations");
                });

            modelBuilder.Entity("PRManagement.Domain.Entities.SubSection", b =>
                {
                    b.Navigation("MediaSections");

                    b.Navigation("PRActivities");
                });
#pragma warning restore 612, 618
        }
    }
}
